package com.ruoyi.blockchain.domain;

import java.math.BigInteger;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 链上事件对象 dc_chain_event
 * 
 * @author ruoyi
 * @date 2025-12-19
 */
public class ChainEvent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 事件ID */
    private Long eventId;

    /** 事件名称 */
    @Excel(name = "事件名称")
    private String eventName;

    /** 合约地址 */
    @Excel(name = "合约地址")
    private String contractAddress;

    /** 交易哈希 */
    @Excel(name = "交易哈希")
    private String txHash;

    /** 区块号 */
    @Excel(name = "区块号")
    private BigInteger blockNumber;

    /** 事件数据 */
    private String eventData;

    /** 事件主题 */
    private String eventTopics;

    /** 事件状态 */
    @Excel(name = "事件状态")
    private String eventStatus;

    /** 处理状态 */
    @Excel(name = "处理状态")
    private String processStatus;

    public void setEventId(Long eventId) 
    {
        this.eventId = eventId;
    }

    public Long getEventId() 
    {
        return eventId;
    }
    public void setEventName(String eventName) 
    {
        this.eventName = eventName;
    }

    public String getEventName() 
    {
        return eventName;
    }
    public void setContractAddress(String contractAddress) 
    {
        this.contractAddress = contractAddress;
    }

    public String getContractAddress() 
    {
        return contractAddress;
    }
    public void setTxHash(String txHash) 
    {
        this.txHash = txHash;
    }

    public String getTxHash() 
    {
        return txHash;
    }
    public void setBlockNumber(BigInteger blockNumber) 
    {
        this.blockNumber = blockNumber;
    }

    public BigInteger getBlockNumber() 
    {
        return blockNumber;
    }
    public void setEventData(String eventData) 
    {
        this.eventData = eventData;
    }

    public String getEventData() 
    {
        return eventData;
    }
    public void setEventTopics(String eventTopics) 
    {
        this.eventTopics = eventTopics;
    }

    public String getEventTopics() 
    {
        return eventTopics;
    }
    public void setEventStatus(String eventStatus) 
    {
        this.eventStatus = eventStatus;
    }

    public String getEventStatus() 
    {
        return eventStatus;
    }
    public void setProcessStatus(String processStatus) 
    {
        this.processStatus = processStatus;
    }

    public String getProcessStatus() 
    {
        return processStatus;
    }

    @Override
    public String toString() {
        return "ChainEvent{" +
                "eventId=" + eventId +
                ", eventName='" + eventName + '\'' +
                ", contractAddress='" + contractAddress + '\'' +
                ", txHash='" + txHash + '\'' +
                ", blockNumber=" + blockNumber +
                ", eventData='" + eventData + '\'' +
                ", eventTopics='" + eventTopics + '\'' +
                ", eventStatus='" + eventStatus + '\'' +
                ", processStatus='" + processStatus + '\'' +
                '}';
    }
}